<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//make dB and pitch input available from outside the instrument

instr PercSine
 ;get dB input for volume as parameter 4 in the instrument call
 iDb = p4 
 ;get midi key input for pitch as parameter 5 in the instrument call
 iMidiPitch = p5 
 aEnv transeg ampdb(iDb), p3, -4, 0
 aSine poscil aEnv, mtof(iMidiPitch)
 out aSine, aSine
endin

</CsInstruments>
<CsScore>
i "PercSine" 0 3 -10 60
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
