<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

//implement an instrument to call the PercSine again and again

instr Cloud
 ;create a tick once per second
 kTick metro 1
 ;if it ticks ...
 if kTick == 1 then
  ;... call instrument "PercSine" with the given parameters
  schedulek "PercSine", 0, 1, -10, 60
 endif
endin

instr PercSine
 iDb = p4 
 iMidiPitch = p5 
 aEnv transeg ampdb(iDb), p3, -4, 0
 aSine poscil aEnv, mtof(iMidiPitch)
 out aSine, aSine
endin

</CsInstruments>
<CsScore>
i "Cloud" 0 100
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
